/*

main.c

(C) 1997, 1998 lars brinkhoff.

1997-12-29: Tomas' birthday.
1997-12-29: A nice little animation produced.
1998-01-01: Use arccos.  Doh.
*/

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "lasr.h"

struct Options options;

void
parse_options (int argc, char *argv[], struct Options *options)
{ 
  int c;

  /* Defaults. */
  options->N = 0;
  options->width = -1;
  options->height = -1;
  options->rays_per_pixel = 2;
  
  while ((c = getopt (argc, argv, "N:w:h:r:")) != EOF)
    switch (c)
      {
      case 'N': options->N = atoi (optarg); break;
      case 'w': options->width = atoi (optarg); break;
      case 'h': options->height = atoi (optarg); break;
      case 'r': options->rays_per_pixel = atoi (optarg); break;
      }
}

int
main (int argc, char *argv[])
{
//  char buf[1024];
//  setvbuf (stdout, buf, _IOFBF, 512);

  parse_options (argc, argv, &options);
  parse_input ();

  if (options.width != -1 && options.height != -1 &&
      options.rays_per_pixel != -1)
    render (options.width, options.height, options.rays_per_pixel);

  return 0;
}
