// pix.h
// (C) 1998 lars brinkhoff

#include "config.h"

struct Options
{
  int width, height, scale;
  int interleave;
  char *me;
  void *(*init) (struct Options *);
  void (*pixel) (void *, int, int, double, double, double);
  void (*wait) (void *);
};

#ifdef HAVE_X
extern void pixel_x (void *, int, int, double, double, double);
extern void wait_x (void *);
extern void *init_x (struct Options *);
#endif

// Always HAVE_ASCII.
extern void pixel_ascii (void *, int, int, double, double, double);
extern void wait_ascii (void *);
extern void *init_ascii (struct Options *);

#ifdef HAVE_AA
extern void pixel_aa (void *, int, int, double, double, double);
extern void wait_aa (void *);
extern void *init_aa (struct Options *);
#endif
